var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import classnames from 'classnames';

var Ripple = function (_Component) {
  _inherits(Ripple, _Component);

  function Ripple() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Ripple);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Ripple.__proto__ || Object.getPrototypeOf(Ripple)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      active: false,
      top: 0,
      left: 0
    }, _this.onClick = function (e) {
      var wasMouseClick = e.nativeEvent.x && e.nativeEvent.y;
      var left = wasMouseClick ? e.nativeEvent.layerX + 'px' : '50%';
      var top = wasMouseClick ? e.nativeEvent.layerY + 'px' : '50%';

      _this.setState({
        active: false,
        top: top,
        left: left
      });

      _this.activeTimeout = setTimeout(function () {
        _this.setState({
          active: true
        });
      }, 25);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Ripple, [{
    key: 'render',
    value: function render() {
      var _state = this.state,
          active = _state.active,
          top = _state.top,
          left = _state.left;


      var classname = classnames('mt-ripple', {
        'mt-ripple-active': active
      });
      var styles = {
        '--mt-ripple-top': top,
        '--mt-ripple-left': left
      };

      return React.createElement('span', { style: styles, className: classname, onClick: this.onClick });
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      clearTimeout(this.activeTimeout);
    }
  }]);

  return Ripple;
}(Component);

export default Ripple;