'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let Avatar = function (_Component) {
  _inherits(Avatar, _Component);

  function Avatar() {
    _classCallCheck(this, Avatar);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Avatar.prototype.render = function render() {
    var _props = this.props,
        _props$className = _props.className;
    const className = _props$className === undefined ? '' : _props$className,
          image = _props.image;
    var _props$initials = _props.initials;

    const initials = _props$initials === undefined ? '' : _props$initials,
          props = _objectWithoutProperties(_props, ['className', 'image', 'initials']);

    return _react2.default.createElement(
      'div',
      _extends({ className: `mt-avatar ${className}` }, props),
      image ? _react2.default.createElement('img', { className: 'mt-avatar_image', src: image, alt: '' }) : _react2.default.createElement(
        'div',
        { className: 'mt-avatar_initials' },
        initials
      )
    );
  };

  return Avatar;
}(_react.Component);

Avatar.PropTypes = {
  className: _propTypes2.default.string,
  image: _propTypes2.default.string,
  initials: _propTypes2.default.string
};

exports.default = Avatar;