'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let Switch = function (_Component) {
  _inherits(Switch, _Component);

  function Switch() {
    _classCallCheck(this, Switch);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Switch.prototype.render = function render() {
    var _props = this.props,
        _props$className = _props.className;

    const className = _props$className === undefined ? '' : _props$className,
          style = _props.style,
          props = _objectWithoutProperties(_props, ['className', 'style']);

    return _react2.default.createElement(
      'div',
      _extends({ className: `mt-switch ${className}` }, style),
      _react2.default.createElement('input', _extends({ type: 'checkbox', className: 'mt-switch_input' }, props)),
      _react2.default.createElement('div', { className: 'mt-switch_switch' }),
      _react2.default.createElement('div', { className: 'mt-switch_focus' })
    );
  };

  return Switch;
}(_react.Component);

Switch.PropTypes = {
  className: _propTypes2.default.string,
  style: _propTypes2.default.object
};

exports.default = Switch;